# ReceiveDownloadCompleteInterface Class Reference
[ReplicaManager]

`#include <ReplicaManager.h>`

List of all members.

## Public Member Functions
virtual ReplicaReturnResult | ReceiveDownloadComplete (RakNet::BitStream *inBitStream, SystemAddress senderId, ReplicaManager *caller)=0

## Detailed Description

An interface for a class that handles the call to receive the download complete notification See ReplicaManager::SetDownloadCompleteCB

## Member Function Documentation

virtual ReplicaReturnResult ReceiveDownloadCompleteInterface::ReceiveDownloadComplete | ( | RakNet::BitStream * | inBitStream,
|  | SystemAddress | senderId,
|  | ReplicaManager * | caller |
| ) |  |  | `[pure virtual]`

Parameters:

  `[in]` | inBitStream | The bitstream that was written to in SendDownloadCompleteInterface::SendDownloadComplete
  `[in]` | senderId | The SystemAddress of the system that send the datagram
  `[in]` | caller | Which instance of ReplicaManager is calling this interface

Returns:
  See ReplicaReturnResult

The documentation for this class was generated from the following file:

- d:/RakNet-3.x/Source/ReplicaManager.h